# Markers

pytest.mark.mpi(min_size=None)

  Mark that this test must be run under MPI.

  Parameters:

    min_size (int) –

    Specify that this test requires at least min_size processes to run. If there are insufficient processes, skip this test.

    For example:

        import pytest

        @pytest.mark.mpi(minsize=4)
        def test_mpi_feature():
            ...

pytest.mark.mpi_skip()

  Mark that this test should be skipped when run under MPI.

pytest.mark.mpi_xfail()

  Mark that this test should be xfailed when run under MPI.